Panda3D

- Main Page
- Packages
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Static Public Member Functions

# OdeUtil Class Reference

List of all members.

## Static Public Member Functions
static int | areConnected (OdeBody const body1, OdeBody const body2)
| Returns 1 if the given bodies are connected by a joint, returns 0 otherwise.
static int | areConnectedExcluding (OdeBody const body1, OdeBody const body2, int joint_type)
| Returns 1 if the given bodies are connected by a joint that does not match the given joint_type, returns 0 otherwise.
static OdeCollisionEntry | collide (OdeGeom const geom1, OdeGeom const geom2, short int max_contacts)
| Given two geometry objects that potentially touch (geom1 and geom2), generate contact information for them.
static OdeCollisionEntry | collide (OdeGeom const geom1, OdeGeom const geom2)
| Given two geometry objects that potentially touch (geom1 and geom2), generate contact information for them.
static int | collide2 (OdeGeom const geom1, OdeGeom const geom2, PyObject arg, PyObject callback)
| Calls the callback for all potentially intersecting pairs that contain one geom from geom1 and one geom from geom2.
static OdeJoint | getConnectingJoint (OdeBody const body1, OdeBody const body2)
| Returns the joint that connects the given bodies.
static OdeJointCollection | getConnectingJointList (OdeBody const body1, OdeBody const body2)
| Returns a collection of joints connecting the specified bodies.
static float | getInfinity ()
static int | randGetSeed ()
static | randSetSeed (int s)
static OdeGeom | spaceToGeom (OdeSpace const space)

## Member Function Documentation

static int areConnected | ( | OdeBody const | body1,
|  | OdeBody const | body2
| ) |  | `[static]`

Returns 1 if the given bodies are connected by a joint, returns 0 otherwise.

static int areConnectedExcluding | ( | OdeBody const | body1,
|  | OdeBody const | body2,
|  | int | joint_type
| ) |  | `[static]`

Returns 1 if the given bodies are connected by a joint that does not match the given joint_type, returns 0 otherwise.

This is useful for deciding whether to add contact joints between two bodies: if they are already connected by non-contact joints then it may not be appropriate to add contacts, however it is okay to add more contact between bodies that already have contacts.

static OdeCollisionEntry collide | ( | OdeGeom const | geom1,
|  | OdeGeom const | geom2,
|  | short int | max_contacts
| ) |  | `[static]`

Given two geometry objects that potentially touch (geom1 and geom2), generate contact information for them.

Returns an OdeCollisionEntry.

static OdeCollisionEntry collide | ( | OdeGeom const | geom1,
|  | OdeGeom const | geom2
| ) |  | `[static]`

Given two geometry objects that potentially touch (geom1 and geom2), generate contact information for them.

Returns an OdeCollisionEntry.

static int collide2 | ( | OdeGeom const | geom1,
|  | OdeGeom const | geom2,
|  | PyObject | arg,
|  | PyObject | callback
| ) |  | `[static]`

Calls the callback for all potentially intersecting pairs that contain one geom from geom1 and one geom from geom2.

static OdeJoint getConnectingJoint | ( | OdeBody const | body1,
|  | OdeBody const | body2
| ) |  | `[static]`

Returns the joint that connects the given bodies.

static OdeJointCollection getConnectingJointList | ( | OdeBody const | body1,
|  | OdeBody const | body2
| ) |  | `[static]`

Returns a collection of joints connecting the specified bodies.

static float getInfinity | ( |  | ) | `[static]`

static int randGetSeed | ( |  | ) | `[static]`

static randSetSeed | ( | int | s | ) | `[static]`

static OdeGeom spaceToGeom | ( | OdeSpace const | space | ) | `[static]`

All Classes Namespaces Functions Variables Enumerations Enumerator Properties